import Encrypt from "./crypto.js";

const BASE_URL = 'https://www.black-pa.com:5500';	//正式
// const BASE_URL = 'https://www.black-pa.com:5502';		//测试 
const Franchisee = '/Franchisee';	//加盟商：0
const Order = '/Order/';			//订单： 1
const Pay = '/Pay/';				//支付:	2


const request = (options) => {
	let BlackApp = Encrypt(`[${options.url}]_[${new Date().getTime()}]`);
	let interfaceType = '';
	switch(options.interfaceType) {
		case 0:
			interfaceType = Franchisee;
		break;
		case 1:
			interfaceType = Order;
		break;
		case 2:
			interfaceType = Pay;
		break;
	}
	if (interfaceType === '') {
		console.error('接口访问类型不能为空');
		return;
	}
	return new Promise((resolve, reject) => {
		uni.showLoading({
			title: '加载中',
			mask: true
		});
		uni.request({
			url: BASE_URL + interfaceType  + options.url,
			method: options.method || 'GET',
			data: options.data || {},
			header: options.header || {
				'BlackApp': BlackApp,
				'AppId': getApp().globalData.appId
			},
			timeout: 20000,
			success: response => {
				let jsonData = {
					data: null,
					isSuccess: false,
					msg: '服务端出现了问题！'
				}
				if (response.statusCode === 404) {
					jsonData.msg = '请求资源不存在';
					resolve(jsonData);
				} else if (response.statusCode === 502) {
					jsonData.msg = '服务端出现了问题';
					resolve(jsonData);
				} else if (response.statusCode === 403) {
					jsonData.msg = '没有权限访问';
					resolve(jsonData);
				} else if (response.statusCode === 200) {
					resolve(response.data);
				} else {
					resolve(jsonData);
				}
			},
			fail: error => {
				let response = {
					data: null,
					isSuccess: false,
					msg: '服务器连接失败！'
				}
				resolve(response);
			},
			complete: () => {
				uni.hideLoading();
			}
		});
	});
}

export default request;